Subject: Re: bug#73472: [PATCH] Substitute quotation marks in Eglot messages

From: João Távora <[email-masked]>
Date: Sat, 28 Dec 2024 15:52:04 +0000

Sorry, I meant to write "fixed a much more serious one". João

On Sat, Dec 28, 2024, 13:29 João Távora <[email-masked]> wrote:

>
>
> On Sat, Dec 28, 2024, 11:00 Eli Zaretskii <[email-masked]> wrote:
>
>> > From: João Távora <[email-masked]>
>> > Date: Thu, 12 Dec 2024 10:57:48 +0000
>> > Cc: Thomas Voss <[email-masked]>, [email-masked]
>> >
>> > On Thu, Dec 12, 2024 at 10:50 AM Eli Zaretskii <[email-masked]> wrote:
>> > >
>> > > > Date: Mon, 09 Dec 2024 19:01:28 +0100
>> > > > From: "Thomas Voss" <[email-masked]>
>> > > >
>> > > > Apologies for the long delay; I have been super busy recently.
>> > > >
>> > > > > Ping!
>> > > > >
>> > > > > > Thanks.  João, any comments?
>> > > > > >
>> > > > > > My only comment is that the log message says "format-prompt",
>> but the
>> > > > > > code actually uses substitute-quotes.
>> > > >
>> > > > Uh… are we looking at the same patch?  The log message in the patch
>> I
>> > > > last sent does say ‘substitute-quotes’ for all the places where I
>> used
>> > > > that function, and only says ‘format-prompt’ for the place where I
>> used
>> > > > that function (‘eglot-rename’).
>> > > >
>> > > > Just in case, I attached the patch again to this email.
>> > >
>> > > Thanks.
>> > >
>> > > João, are you okay with me installing this?
>> >
>> > Just had a look. The patch won't break anything, but it has some
>> problems
>> > around the part where substitute quotes isn't around a literal, but
>> wraps
>> > a bigger block.  I'll try to fix it.  It would also be great to have
>> some file
>> > local symbol-shortening mechanism to avoid that long name, but I'm
>> > not going to worry about that.
>>
>> Ping!  Did you have time to look into this?
>>
>
> No sorry. Fixed a much more serious but though. Early 2025 I will fix this
> patch, it's easy.
>
> João
>